Results 1 to 6 of 6

Thread: Firefox/ati drivers/some little question

  1. #1

    Default Firefox/ati drivers/some little question

    Hello, after few years being limited with my pc configuration (windows OS) I realized that linux or it's distributions is the best invention in 21 century. And finally I am starting use it.

    openSUSE 11.4 installaition succesful, I updated it and it looks I don;t have any problems, but I got few questions.

    1. How install older version of mozilla firefox internet browser here? I can't install some plugins because it's a firefox beta 12 version, for example. I am quake fan, o I like play quake live, but i can't install quake plugin, because my firefox is beta version.

    2. Does I got all drivers instantly installed to my mashine? ATI video drivers, sound drivers ect??

    3. Are there any How-To guides which can teach me, how I can improve my desktop? gadgets, 3D desktop ect...?


    Thanks for any help,
    Karolis.

  2. #2

    Default Re: Firefox/ati drivers/some little question

    bump.

    No more need answer first question. I solved it.

  3. #3
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    16,288

    Default Re: Firefox/ati drivers/some little question

    2) no you do have the open source drivers but for best results you need to install the propritary drivers for your card.
    openSUSE Graphic Card Practical Theory Guide for Users

    3) maybe go to KDE web site. This may be a good place to start.
    Tutorial - KDE Help Center

    Google is your friend

  4. #4
    Join Date
    Jun 2008
    Location
    Belgrade, Serbia
    Posts
    719

    Default Re: Firefox/ati drivers/some little question

    Here is my prefered way of installing proprietary ATI driver. It's tested and it works.
    Easy “hard way” of installing proprietary ATI driver under openSUSE 11.4 | Beli's blog
    Emil Beli
    http://www.beli.ws/blog/
    openSUSE 11.4 x64 KDE, ATI 5600, i7 dell inspire laptop

  5. #5

    Default Re: Firefox/ati drivers/some little question

    If i install proprietary drivers using gogalthrop linked guide, I got only blackscreen...

    If i try install using beli0135 guide, I cant build .rpm package...
    here is this error:
    Code:
    sh ./ati-driver-installer-11-5-x86.x86_64.run --buildpkg SuSE/SUSE113-AMD64
    Created directory fglrx-install.MW0X4C
    Verifying archive integrity... All good.
    Uncompressing ATI Catalyst(TM) Proprietary Driver-8.85......................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
    =====================================================================
     ATI Technologies Catalyst(TM) Proprietary Driver Installer/Packager 
    =====================================================================
    Generating package: SuSE/SUSE113-AMD64
    cp: cannot stat `/home/adminas/fglrx-install.MW0X4C/arch/x86_64/usr/X11R6/lib64/fglrx/libGL*': No such file or directory
    cp: cannot stat `/home/adminas/fglrx-install.MW0X4C/arch/x86_64/usr/X11R6/lib64/fglrx/libEGL*': No such file or directory
    cp: cannot stat `/home/adminas/fglrx-install.MW0X4C/arch/x86/usr/X11R6/lib/fglrx/libGL*': No such file or directory
    cp: cannot stat `/home/adminas/fglrx-install.MW0X4C/arch/x86/usr/X11R6/lib/fglrx/libEGL*': No such file or directory
    Build the RPM package now ...  
    
    /tmp/ati_fglrx.4JNcn8/fglrx /usr/src/packages/BUILD
    + install -m 644 etc/ati/amdpcsdb.default etc/ati/atiogl.xml etc/ati/authatieventsd.sh etc/ati/control etc/ati/logo.xbm.example etc/ati/logo_mask.xbm.example etc/ati/signature /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/etc/ati
    + install -m 755 etc/ati/authatieventsd.sh /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/etc/ati
    + install -m 755 etc/init.d/atieventsd etc/init.d/boot.fglrxrebuild /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/etc/init.d
    + ln -s /etc/init.d/atieventsd /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/usr/sbin/rcatieventsd
    + install -m 644 etc/modprobe.d/50-fglrx.conf /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/etc/modprobe.d
    + ln -s su /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/etc/pam.d/amdcccle-su
    + install -m 755 etc/security/console.apps/amdcccle-su /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/etc/security/console.apps
    + install -m 755 usr/X11R6/lib/fglrx/fglrx-libGL.so.1.2 /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/usr/X11R6/lib/fglrx
    + rm -rf usr/X11R6/lib/fglrx
    + install -m 755 usr/X11R6/lib/libfglrx_dm.a usr/X11R6/lib/libfglrx_dm.so.1.0 /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/usr/X11R6/lib
    + ln -s libfglrx_dm.so.1.0 /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/usr/X11R6/lib/libfglrx_dm.so.1
    + ln -s libfglrx_dm.so.1 /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/usr/X11R6/lib/libfglrx_dm.so
    + install -m 755 'usr/X11R6/lib/fglrx/*' /usr/src/packages/BUILDROOT/fglrx64_xpic_SUSE113-8.85-1.i386/usr/X11R6/lib/fglrx
    install: cannot stat `usr/X11R6/lib/fglrx/*': No such file or directory
    error: Bad exit status from /var/tmp/rpm-tmp.KCGtO8 (%install)
    
    
    RPM build errors:
        Bad exit status from /var/tmp/rpm-tmp.KCGtO8 (%install)
    Package build failed!
    Removing temporary directory: fglrx-install.MW0X4C
    linux-37uz:/home/adminas # m /var/tmp/rpm-tmp.KCGtO8 (%install)
    bash: syntax error near unexpected token `('
    linux-37uz:/home/adminas # Package build failed!
    If 'Package' is not a typo you can use command-not-found to lookup the package that contains it, like this:
        cnf Package
    linux-37uz:/home/adminas # Removing temporary directory: fglrx-install.MW0X4C
    If 'Removing' is not a typo you can use command-not-found to lookup the package that contains it, like this:
        cnf Removing
    linux-37uz:/home/adminas # linux-37uz:/home/adminas # 
    bash: linux-37uz:/home/adminas: No such file or directory
    So any ideas how install ati driver for hd4770 VGA.

  6. #6
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    1,970

    Default Re: Firefox/ati drivers/some little question

    Quote Originally Posted by koasi View Post
    If i install proprietary drivers using gogalthrop linked guide, I got only blackscreen...
    Are You sure You've read the guide carefully and followed it exactly ?
    Which driver did You try to install ? fglrx ?

    Best regards,
    Greg
    Best regards,
    Greg

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •